List Organization Products
Retrieve all products for the organization, grouped by trade categories. Returns product information including names, descriptions, and pricing organized by their respective categories.
Authorization
bearerAuth Bearer token authentication for API access.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.sophiie.ai/v1/organization/products"{
"categories": [
{
"id": 2,
"name": "Kitchen Materials",
"type": "PRODUCT",
"products": [
{
"id": 456,
"name": "Premium Granite Countertop",
"description": "High-quality granite countertop with polished finish",
"price": 299.99,
"tradeCategoryId": 2,
"createdAt": "2023-01-01T00:00:00.000Z",
"isActive": true
}
]
}
],
"totalCategories": 3,
"totalProducts": 47
}{
"success": false,
"message": "Invalid or expired token",
"error": {
"status": 401,
"message": "Invalid or expired token"
}
}{
"success": false,
"message": "Internal server error",
"error": {
"status": 500,
"message": "Internal server error"
}
}List Organization Members GET
Retrieve a paginated list of organization members. Excludes pending invitations (users without associated user accounts). Returns member information including roles, contact details, and user associations.
List Organization Services GET
Retrieve all services for the organization, grouped by trade categories. Returns service information including names, descriptions, durations, and follow-up questions organized by their respective categories.